Subject: wifi driver problem

From: Fadi Al-Arja <[email-masked]>
Date: Tue, 10 Sep 2024 10:19:37 +0200

Dear Guix developers,

I hope you are doing well.

I am trying to install Guix on my Intel-based laptop, but I am running into
problems, especially with proprietary network driver support. Despite
several attempts, Guix is not correctly detecting my wireless card, which
results in me being unable to establish a network connection. The error
messages and problems can be seen in the attached photo.

Knowing that Guix emphasizes free software, I am wondering if there is a
way to still integrate these network drivers into the system or if I may
need to develop my own driver to resolve the issue. Are there any
alternative approaches or specific documentation that could help me with
this issue?

I appreciate any kind of support and thank you in advance for your time and
help.

Best regards,
Fadi Al-Arja